package com.school.project.controller;

import com.school.project.dto.UserDTO;
import com.school.project.mapper.UserMapper;
import com.school.project.service.implementation.UserServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired(required = true)
    UserServiceImpl userService;

    @Autowired(required = true)
    UserMapper userMapper;

    @PostMapping("/save")
    public String saveUser(@ModelAttribute UserDTO userDTO) {

        Integer id = userService.saveUser(userMapper.userDtoToUser(userDTO));

        String message = "User '" + id + "' saved successfully !";

        return message;
    }

}
